Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.language.java
Interface JavaCompiler

All Known Implementing Classes:
  JikesJavaCompiler, SunJavaCompiler

public interface JavaCompiler

Method Summary
`boolean` | `compile(java.lang.String s)`
`void` | `setClasspath(java.lang.String s)`
`void` | `setCompilerPath(java.lang.String s)`
`void` | `setEncoding(java.lang.String s)`
`void` | `setMsgOutput(java.io.OutputStream outputstream)`
`void` | `setOutputDir(java.lang.String s)`

Method Detail

### compile

    public boolean compile(java.lang.String s)

### setClasspath

    public void setClasspath(java.lang.String s)

### setCompilerPath

    public void setCompilerPath(java.lang.String s)

### setEncoding

    public void setEncoding(java.lang.String s)

### setMsgOutput

    public void setMsgOutput(java.io.OutputStream outputstream)

### setOutputDir

    public void setOutputDir(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.